cURL
curl --request POST \
--url https://public.api.live.turrisfi.com/v1/downstream-entity-associations/dangerously-add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "Jon",
"lastName": "Doe",
"email": "example@test.com",
"isNpnRequired": true,
"category": "agency",
"downstreamEntityNpn": "12345678",
"branchName": "West Coast Branch",
"downstreamEntityName": "ABC Insurance Agency",
"producerCode": "PROD-001",
"externalId": "EXT-12345",
"parentProducerCode": "PARENT-001",
"parentDownstreamEntityAssociationId": "507f1f77bcf86cd799439011",
"ein": "12-3456789"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: 'Jon',
lastName: 'Doe',
email: 'example@test.com',
isNpnRequired: true,
category: 'agency',
downstreamEntityNpn: '12345678',
branchName: 'West Coast Branch',
downstreamEntityName: 'ABC Insurance Agency',
producerCode: 'PROD-001',
externalId: 'EXT-12345',
parentProducerCode: 'PARENT-001',
parentDownstreamEntityAssociationId: '507f1f77bcf86cd799439011',
ein: '12-3456789'
})
};
fetch('https://public.api.live.turrisfi.com/v1/downstream-entity-associations/dangerously-add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v1/downstream-entity-associations/dangerously-add"
payload = {
"firstName": "Jon",
"lastName": "Doe",
"email": "example@test.com",
"isNpnRequired": True,
"category": "agency",
"downstreamEntityNpn": "12345678",
"branchName": "West Coast Branch",
"downstreamEntityName": "ABC Insurance Agency",
"producerCode": "PROD-001",
"externalId": "EXT-12345",
"parentProducerCode": "PARENT-001",
"parentDownstreamEntityAssociationId": "507f1f77bcf86cd799439011",
"ein": "12-3456789"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"_id": "<string>",
"downstreamEntity": {
"_id": "<string>",
"isNpnRequired": true,
"legalName": "<string>",
"category": "<string>",
"npn": "<string>",
"ein": "<string>"
},
"niprDataSubscription": {
"dataOwnerId": "<string>",
"dataOwnerModel": "<string>",
"entityModel": "<string>",
"entityInfo": {
"status": "<string>",
"jobId": "<string>",
"message": "<string>",
"rawEntityInfoId": "<string>"
},
"npn": "<string>",
"lastSynchronizationDate": "2023-11-07T05:31:56Z",
"pdbAlertsSubscriptionStatus": "<string>",
"pdbAlertsPausedAt": "2023-11-07T05:31:56Z"
},
"producerCode": "<string>",
"externalId": "<string>",
"branchName": "<string>",
"creationPath": "<string>"
},
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}Agencies You Appoint
Add (Dangerously)
deprecated
Add a downstream entity without validation checks
POST
/
v1
/
downstream-entity-associations
/
dangerously-add
cURL
curl --request POST \
--url https://public.api.live.turrisfi.com/v1/downstream-entity-associations/dangerously-add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "Jon",
"lastName": "Doe",
"email": "example@test.com",
"isNpnRequired": true,
"category": "agency",
"downstreamEntityNpn": "12345678",
"branchName": "West Coast Branch",
"downstreamEntityName": "ABC Insurance Agency",
"producerCode": "PROD-001",
"externalId": "EXT-12345",
"parentProducerCode": "PARENT-001",
"parentDownstreamEntityAssociationId": "507f1f77bcf86cd799439011",
"ein": "12-3456789"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: 'Jon',
lastName: 'Doe',
email: 'example@test.com',
isNpnRequired: true,
category: 'agency',
downstreamEntityNpn: '12345678',
branchName: 'West Coast Branch',
downstreamEntityName: 'ABC Insurance Agency',
producerCode: 'PROD-001',
externalId: 'EXT-12345',
parentProducerCode: 'PARENT-001',
parentDownstreamEntityAssociationId: '507f1f77bcf86cd799439011',
ein: '12-3456789'
})
};
fetch('https://public.api.live.turrisfi.com/v1/downstream-entity-associations/dangerously-add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v1/downstream-entity-associations/dangerously-add"
payload = {
"firstName": "Jon",
"lastName": "Doe",
"email": "example@test.com",
"isNpnRequired": True,
"category": "agency",
"downstreamEntityNpn": "12345678",
"branchName": "West Coast Branch",
"downstreamEntityName": "ABC Insurance Agency",
"producerCode": "PROD-001",
"externalId": "EXT-12345",
"parentProducerCode": "PARENT-001",
"parentDownstreamEntityAssociationId": "507f1f77bcf86cd799439011",
"ein": "12-3456789"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"_id": "<string>",
"downstreamEntity": {
"_id": "<string>",
"isNpnRequired": true,
"legalName": "<string>",
"category": "<string>",
"npn": "<string>",
"ein": "<string>"
},
"niprDataSubscription": {
"dataOwnerId": "<string>",
"dataOwnerModel": "<string>",
"entityModel": "<string>",
"entityInfo": {
"status": "<string>",
"jobId": "<string>",
"message": "<string>",
"rawEntityInfoId": "<string>"
},
"npn": "<string>",
"lastSynchronizationDate": "2023-11-07T05:31:56Z",
"pdbAlertsSubscriptionStatus": "<string>",
"pdbAlertsPausedAt": "2023-11-07T05:31:56Z"
},
"producerCode": "<string>",
"externalId": "<string>",
"branchName": "<string>",
"creationPath": "<string>"
},
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}Deprecated: This endpoint bypasses validation checks and should only be used for special migration scenarios. Use the standard Add endpoint instead.
Authorizations
bearerrestricted-access-token
Headers
Body
application/json
Was this page helpful?